Bug 56446 - postgresql-python does not support python2
Summary: postgresql-python does not support python2
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-18 19:07 UTC by Need Real Name
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-18 21:01:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-11-18 19:07:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

How reproducible:
Always

Steps to Reproduce:
$ rpm -q python python2 postgresql postgresql-python
python-1.5.2-35
python2-2.1.1-2
postgresql-7.1.3-2
postgresql-python-7.1.3-2
$ python
Python 1.5.2 (#1, Jul  5 2001, 03:02:19)  [GCC 2.96 20000731 (Red Hat Linux
7.1 2 on linux-i386
Copyright 1991-1995 Stichting Mathematisch Centrum, Amsterdam
>>> import pg
>>> 
$ python2
Python 2.1.1 (#1, Aug 13 2001, 19:37:40) 
[GCC 2.96 20000731 (Red Hat Linux 7.1 2.96-96)] on linux2
Type "copyright", "credits" or "license" for more information.
>>> import pg
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: No module named pg
>>> 
$

Expected Results:  I would expect that postgresql-python would support
python2 or there would be a separate postgresql-python2.rpm

Comment 1 Trond Eivind Glomsrxd 2001-11-18 21:01:46 UTC
The python2 package does not come with support packages, those are only for the
standard python package on the system(postgresql, mysql, gtk, gnome, newt and
many more) - 1.5. Python2 is just for those curios on the python package itself.
The support package for python2 will be available when we switch to python 2.x
as the default python package on the system (which incidentally has happened in
Rawhide, so I'll close it as RAWHIDE instead of NOTABU, even though it wasn't a
bug for RHL 7.2).


Note You need to log in before you can comment on or make changes to this bug.